Bug 428963 - Matrix link in website footer
Summary: Matrix link in website footer
Status: RESOLVED FIXED
Alias: None
Product: www.kde.org
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kde-www mailing-list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-11 11:35 UTC by Kenny Duffus
Modified: 2021-03-10 19:55 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kenny Duffus 2020-11-11 11:35:47 UTC
The [M] matrix link in the website footer doesn't take you to the KDE Matrix homeserver.

Element recommended that currently the best way is just to link directly to the room on our homeserver, this is 

https://webchat.kde.org/#/rooms/#kde:kde.org
Comment 1 Justin Zobel 2020-11-11 22:37:19 UTC
Agreed I think this should point to the KDE hosted Matrix instance.
Comment 2 Kenny Duffus 2020-11-15 07:28:04 UTC
Fixed on kde.org as simple

We however also need to have the link on all the other website footers as well
Comment 3 Phu H. Nguyen 2021-02-28 21:52:55 UTC
Could you confirm that link works? As I can see, the "#kde:kde.org" part means this link points to a "kde" room, whereas there is no such room on our server. Following that link also doesn't really open a chat room, there's only a loading screen for me.
Comment 4 Phu H. Nguyen 2021-02-28 22:00:17 UTC
Sorry, I searched for "kde" room and maybe didn't scroll far enough to find it. Changing the URL gave me the room, and then I saw the typo in your URL: "room", not "rooms". Fixed https://invent.kde.org/websites/aether-sass/-/commit/5ff8666081f5ebd825ff5e4c4eb5b5529042f206. kde.org will receive the change the next time it's deployed.
Can we close this?
Comment 5 Carl Schwan 2021-03-10 19:55:17 UTC
Git commit d550b425561808c38df8239c9a020fd5a932f892 by Carl Schwan.
Committed on 10/03/2021 at 19:55.
Pushed by carlschwan into branch 'master'.

Add matrix link in footer of all the kde websites

Each website can also choose to link to a special room if they want

M  +4    -0    _includes/footer.html

https://invent.kde.org/websites/jekyll-kde-theme/commit/d550b425561808c38df8239c9a020fd5a932f892